Bug 1392276 - Upgrade fails with AnsibleUndefinedVariable
Summary: Upgrade fails with AnsibleUndefinedVariable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.2.1
Assignee: Tim Bielawa
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1396295
TreeView+ depends on / blocked
 
Reported: 2016-11-07 05:17 UTC by Jaspreet Kaur
Modified: 2019-12-16 07:19 UTC (History)
9 users (show)

Fixed In Version: openshift-ansible-3.2.42-1.git.0.6b09be9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1396295 (view as bug list)
Environment:
Last Closed: 2016-11-15 19:11:14 UTC
Target Upstream Version:
sdodson: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2778 0 normal SHIPPED_LIVE Moderate: atomic-openshift-utils security and bug fix update 2016-11-16 00:08:29 UTC

Description Jaspreet Kaur 2016-11-07 05:17:43 UTC
Description of problem: When urpgrading from 3.2 to 3.3 it always reports below error :

TASK [Create the master api service env file] **********************************
fatal: [itsrv1555.esrv.local]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: 'dict object' has no attribute 'debug_level'"}
fatal: [itsrv1554.esrv.local]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: 'dict object' has no attribute 'debug_level'"}

Ideally it should not be necessary to the user to define debug level or not.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:  It always fails


Expected results: It should be upgraded successfully.


Additional info: Seems to be related to :

https://github.com/openshift/openshift-ansible/issues/2576

Comment 1 Tim Bielawa 2016-11-07 17:32:41 UTC
PR linked from issue 2576 is https://github.com/openshift/openshift-ansible/pull/2584

Comment 2 Tim Bielawa 2016-11-07 19:50:27 UTC
Please fill in the field:

> Version-Release number of selected component (if applicable):

So we can ensure you're running a release that contains the fix.

The fix was merged into the 1.3 fork on October 11th. You must be running at least openshift-ansible-3.3.41-1 to have the patch available.

Comment 3 Scott Dodson 2016-11-07 20:37:59 UTC
Based on the attached case and the fact that we fixed this in 3.3 playbooks already I'm going to assume that this is really against 3.2 and we'll fix it there.

release-1.2 pr https://github.com/openshift/openshift-ansible/pull/2750

Comment 5 Anping Li 2016-11-08 14:25:59 UTC
No such issue with latest code, so move to verified.

Comment 13 Aleks Lazic 2016-11-14 16:59:07 UTC
Hi.

I have no 3.3 playbooks!

We are still on 3.2.

[root@itsrv1554 ~ ] # rpm -qa "*openshift*"|sort

atomic-openshift-3.2.1.17-1.git.0.6d01b60.el7.x86_64
atomic-openshift-clients-3.2.1.17-1.git.0.6d01b60.el7.x86_64
atomic-openshift-master-3.2.1.17-1.git.0.6d01b60.el7.x86_64
atomic-openshift-node-3.2.1.17-1.git.0.6d01b60.el7.x86_64
atomic-openshift-sdn-ovs-3.2.1.17-1.git.0.6d01b60.el7.x86_64
atomic-openshift-utils-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-docs-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-filter-plugins-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-lookup-plugins-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-playbooks-3.2.36-1.git.0.164eb4c.el7.noarch
openshift-ansible-roles-3.2.36-1.git.0.164eb4c.el7.noarch
tuned-profiles-atomic-openshift-node-3.2.1.17-1.git.0.6d01b60.el7.x86_64

Please don't close this because this is a 3.2 issue NOT a 3.3 issue!

Comment 14 Devan Goodwin 2016-11-14 17:22:53 UTC
I think this recently surfaced when QE was doing upgrade testing when the fact cache (/etc/ansible/facts.d/openshift.fact) has been deleted for some reason.

https://bugzilla.redhat.com/show_bug.cgi?id=1391608#c8

Fix for this issue is in here and flagged for backport to 3.3 and 3.2:

https://github.com/openshift/openshift-ansible/pull/2794

Comment 15 errata-xmlrpc 2016-11-15 19:11:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:2778


Note You need to log in before you can comment on or make changes to this bug.